# libcvautomation: libcvautomation-xlib.h File Reference

libcvautomation 1.3

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Functions
libcvautomation-xlib.h File Reference

The source code to access Xlib from inside libcvautomation. More...

`#include <libcvautomation/libcvautomation.h>`

Go to the source code of this file.

## Functions

Display * | cvaOpenDisplay (char *displayName)
| Simple wrapper for XOpenDisplay.
void | cvaCloseDisplay (Display *displayLocation)
| Simple wrapper for XCloseDisplay.
cvaPoint | matchSubImage_X11 (Display *displayLocation, IplImage *subImage, int searchMethod, int tolerance)
| Return the location of a sub image in the X11 root window.
cvaPoint | matchSubImage_X11_center (Display *displayLocation, IplImage *subImage, int searchMethod, int tolerance)
| Return the center of a sub image in root X11 window, rather than the top-left corner.
cvaPoint | matchSubImage_X11_location (Display *displayLocation, const char *subImage_location, int search_method, int tolerance)
| Return the location of a sub image in the X11 root window.
cvaPoint | matchSubImage_X11_location_center (Display *displayLocation, const char *subImage_location, int search_method, int tolerance)
| Return the center of a sub image in the root X11 window, rather than the top-left corner.

## Detailed Description

The source code to access Xlib from inside libcvautomation.

This source file builds in the necessary functionality to use xlib functions inside libcvautomation.

Author:
  Bradlee Speice

Definition in file libcvautomation-xlib.h.

## Function Documentation

Display * cvaOpenDisplay | ( | char * | displayName | ) |

Simple wrapper for XOpenDisplay.

Currently this function literally just passes off to XOpenDisplay, but is designed to be used in the future if extra functionality is needed.

Parameters:

  displayName | The name of the display to open - '' is a valid name

Returns:
  Pointer to the opened X11 Display

Warning:
  You must open a display to use any functions.
  The program using this library is responsible to close the display as well.

void cvaCloseDisplay | ( | Display * | displayLocation | ) |

Simple wrapper for XCloseDisplay.

Currently this function literally just passes off to XCloseDisplay, but is designed to be used in the future if extra functionality is needed.

Parameters:

  displayLocation | Pointer to the display to close

Returns:
  Nothing

cvaPoint matchSubImage_X11 | ( | Display * | displayLocation,
|  | IplImage * | subImage,
|  | int | searchMethod,
|  | int | tolerance
| ) |  |

Return the location of a sub image in the X11 root window.

This function wraps grabbing the X11 root window, converting it to IplImage format, and then giving this to matchSubImage()

Parameters:

  displayLocation | Pointer to the currently open X11 Display
  subImage | The sub image (in IplImage format) to search for in the root X11 window
  searchMethod | The search method to use when searching for `subImage` in the root X11 window
  tolerance | The tolerance to use when searching for `subImage` in the root X11 window

See also:
  Libcv Search Methods

Returns:
  The location of the sub image in root X11 window

cvaPoint matchSubImage_X11_center | ( | Display * | displayLocation,
|  | IplImage * | subImage,
|  | int | searchMethod,
|  | int | tolerance
| ) |  |

Return the center of a sub image in root X11 window, rather than the top-left corner.

This function wraps grabbing the X11 root window, converting it to IplImage format, and then giving this to matchSubImage_center()

Parameters:

  displayLocation | Pointer to the currently open X11 Display
  subImage | The sub image (in IplImage format) to search for in the root X11 window
  searchMethod | The search method to use when searching for `subImage` in the root X11 window
  tolerance | The tolerance to use when searching for `subImage` in the root X11 window

See also:
  Libcv Search Methods

Returns:
  The center location of the sub image in the root X11 window

cvaPoint matchSubImage_X11_location | ( | Display * | displayLocation,
|  | const char * | subImage_location,
|  | int | searchMethod,
|  | int | tolerance
| ) |  |

Return the location of a sub image in the X11 root window.

This function wraps grabbing the X11 root window, converting it to IplImage format, and then giving this to matchSubImage_location()

Parameters:

  displayLocation | Pointer to the currently open X11 Display
  subImage_location | The location of the sub image to search for in the root X11 window
  searchMethod | The search method to use when searching for `subImage` in the root X11 window
  tolerance | The tolerance to use when searching for `subImage` in the root X11 window

See also:
  Libcv Search Methods

Returns:
  The center location of the sub image in the root X11 window

cvaPoint matchSubImage_X11_location_center | ( | Display * | displayLocation,
|  | const char * | subImage_location,
|  | int | searchMethod,
|  | int | tolerance
| ) |  |

Return the center of a sub image in the root X11 window, rather than the top-left corner.

This function wraps grabbing the X11 root window, converting it to IplImage format, and then giving this to matchSubImage_location_center()

Parameters:

  displayLocation | Pointer to the currently open X11 Display
  subImage_location | The location of the sub image to search for in the root X11 window
  searchMethod | The search method to use when searching for `subImage` in the root X11 window
  tolerance | The tolerance to use when searching for `subImage` in the root X11 window

See also:
  Libcv Search Methods

Returns:
  The center location of the sub image in the root X11 window

All Classes Files Functions Defines